
QGIS Application - Bug report #20583

Raster calculator freezes the GUI with big rasters

2018-11-21 09:35 PM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Raster Calculator

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28403

Description

Raster is a dem 40000x40000 and even with a simple expression it takes ages and the GUI completely freezes (no cancellation is

possible: it is disabled in code)

This makes the tool completely unusable for large rasters.

Associated revisions

Revision d3d18050 - 2018-11-26 03:54 PM - Alessandro Pasotti 

Re-add the progress bar to the calculator

Fixes #20583 - Raster calculator freezes the GUI with big rasters

... even if it is frozen while reding the raster,

at least it allows to abort the process later

Revision e2a2aecc - 2018-11-28 08:11 AM - Alessandro Pasotti 

Merge pull request #8550 from elpaso/bugfix-20583-19760-raster-calculator

Raster calculator crash and hang fixes. Fixes #20583 #19760

Revision 273a71a7 - 2018-12-05 09:31 AM - Alessandro Pasotti

Re-add the progress bar to the calculator

Fixes #20583 - Raster calculator freezes the GUI with big rasters

... even if it is frozen while reding the raster,

at least it allows to abort the process later

History

#1 - 2018-11-23 12:50 PM - Giovanni Manghi

- Status changed from Open to Feedback
Hi Alessandro, likely duplicate of #13336 ?

#2 - 2018-11-26 12:32 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Yeah, related but not the same bug.

#3 - 2018-11-28 08:10 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|d3d18050a07b77f81a1285d7ba09d75cfba2f62c.

#4 - 2018-11-28 08:34 AM - Giovanni Manghi

Thanks Alessandro for tackling this, it was MUCH needed.

#5 - 2018-11-28 10:02 AM - Alessandro Pasotti

- Status changed from Closed to Reopened

I actually fixed the "big" issue (the crash #13336) but I couldn't do much for the first part of GUI freeze: this is happening because the rasters are read as a

whole and that operation is not interruptable.

But, once the raster are read and the computation starts, the progress bar now appears and the operation can be interrupted.

So, since this is a partial fix, I'm going to leave this open.

#6 - 2018-11-28 10:54 AM - Alessandro Pasotti

A small step forward: https://github.com/qgis/QGIS/pull/8564

#7 - 2018-12-06 07:54 AM - Alessandro Pasotti

- Status changed from Reopened to Closed

Applied in changeset commit:qgis|273a71a785012ad9df59b7419ccf6d7efac76710.

2025-04-26 2/2

https://github.com/qgis/QGIS/pull/8564

